toolzerhub API Docs

List profile posts

List posts published by a Weibo profile.

2 credits / requestBilled only on success
GET
/v2/weibo/profiles/posts

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

uid*string

Weibo numeric user ID.

Length1 <= length
page?integer

Page number starting at 1. For later pages, also send since_id from the previous response.

Range1 <= value
Default1
since_id?string

Continuation value from the previous response. Omit it on the first page.

curl -X GET "https://example.com/v2/weibo/profiles/posts?uid=1699432410" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "data": {      "since_id": "5327785934717537kp2",      "list": [        {          "id": 5327962377289859,          "mid": "5327962377289859",          "mblogid": "RbJqBuAqn",          "text": "..."        }      ]    }  }}